#
# spec file for package sarg (Version 1.1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sarg
 
Summary:      Squid Analysis Report Generator
Version:      1.1.1
Release:      36
Copyright:    GPL
Group:        Networking/Utilities
Requires:     http_proxy
Autoreqprov:  on
Source:       sarg-1.1.1.tar.bz2
Source1:      sarg.conf

%description
Sarg - Squid Analysis Report Generator is a tool that allow you to view
"where" your users are going to on the Internet. Sarg generate reports in
html, with fields such: users, IP Addresses, bytes, sites and times.

Authors:
--------
    Alp <support@x5.net> 
    Andreas Piesk <a.piesk@gmx.net> 
    Andrew <andrew@extrim.ru> 
    Andrew Barnes <a.barnes@kaldor.com.au> 
    Carlos Canau <canau@ionia.EUnet.pt> 
    Carlos Santillana <carlos@los-fresnos-cons.k12.tx.us> 
    Csaba Kabai <ckabai@icnpharm.com> 
    Dima I. Allaverdov <allav@ur.rags.ru> 
    Eugeny Kuzakov <CoreDumped@CoreDumped.null.ru> 
    Evren Yurtesen <yurtesen@ispro.net.tr> 
    Hanni Daniel <daniel.haenni@softlab.ch> 
    Ilya V. Komarov <mur@mur.lynx.ru> 
    Jose Luiz <jluiz@projesom.com.br> 
    Lee Shakespeare <lee@webfoundry.co.uk> 
    Leonardo A. D'Angelo <ldangelo@san-cayetano.com> 
    Manon Goo <manon@manon.de> 
    Matteo Colombo <matteo@calcol.it> 
    Maxim Berlin <mak@unesco.mitht.rssi.ru> 
    Palamarchuk Eugen <eugen@cit.od.ukrtel.net> 
    Patrick Darden <darden@server2.armc.org> 
    Rick_Barzilli@xircom.com 
    Ryan Roehrich <ryanscott@mindless.com> 
    Steve Chan <Steve.Chan@lucasfilm.com> 
    Tony Lorimes <alorimes@csc.com> 
    Wayne Bastow <wbastow@ccahs.health.nsw.gov.au> 
    drdivano@mail.axon.ru 
    Seth Mos <stimpy@stimpy.multiweb.nl> 
    Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe> 
    Milos Prudek <prudek@nembv.cz> 
    Pavel Jezek <Pavel.Jezek@i.cz> 
    Kenneth Ingham <ingham@i-pi.com> 
    Schlosser, Carsten ECOFIS <c.schlosser@ecofis.de> 
    Andrew Katkov <askat@crimea.net> 
    Andy Parfenov <andy@nursat.net> 
    Bernd Kossmann <bko@shd.de> 
    Ivan Minchev <vanko@uni-svishtov.bg> 
    Olivier Rousselot <olivier.rousselot@ssti.fr> 
    Akira Kitamura <click@anet.ne.jp> 
    Radovan Drobnjakovic <admin.rts@rts.co.yu> 
    Brad Guillory <proxyadm@baileylink.net> 
    Andrew Okhmat <andy@crgu.com> 
    Nikolai V. Ivanyushin <koko@infocenter.bryansk.ru>

SuSE series: n

%prep
%setup

%build
%{?suse_update_config:%{suse_update_config -f}}
./configure --enable-bindir=/usr/bin --enable-sysconfdir=/usr/share/sarg
make
# ---------------------------------------------------------------------------

%install
make install
install -m 644 %{SOURCE1} /etc/sarg.conf
ln -sf ../../../etc/sarg.conf /usr/share/sarg/sarg.conf 
chmod a-x ChangeLog CONTRIBUTORS COPYING DONATIONS README
# ---------------------------------------------------------------------------

%files
%dir /usr/share/sarg
%config(noreplace) /etc/sarg.conf
/usr/bin/sarg
/usr/share/sarg/exclude_codes
/usr/share/sarg/languages
/usr/share/sarg/sarg.conf
%doc ChangeLog
%doc CONTRIBUTORS 
%doc COPYING 
%doc DONATIONS 
%doc README
%doc sarg.conf

%changelog -n sarg
* Wed Jul 25 2001 - bodammer@suse.de
- initial package of sarg-1.1.1
